netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
ASP Struct Reference

`#include <asp.h>`

## Data Fields
ATP | asp_atp
struct sockaddr_at | asp_sat
uint8_t | asp_wss
uint8_t | asp_sid
union { |
struct { |
char * as_status |
int as_slen |
} asu_status
uint16_t asu_seq |
} | asp_u
int | asp_flags
char | child
char | inited
char * | commands
char | cmdbuf [ASP_CMDMAXSIZ]
char | data [ASP_DATAMAXSIZ]
size_t | cmdlen
size_t | datalen
off_t | read_count
off_t | write_count
int | asp_ipc_fd
int | asp_hint_fd
int | asp_cnx_cnt
int | asp_cnx_max

## Field Documentation

## ◆ as_slen

int ASP::as_slen

## ◆ as_status

char* ASP::as_status

## ◆ asp_atp

ATP ASP::asp_atp

## ◆ asp_cnx_cnt

int ASP::asp_cnx_cnt

## ◆ asp_cnx_max

int ASP::asp_cnx_max

## ◆ asp_flags

int ASP::asp_flags

## ◆ asp_hint_fd

int ASP::asp_hint_fd

## ◆ asp_ipc_fd

int ASP::asp_ipc_fd

## ◆ asp_sat

struct sockaddr_at ASP::asp_sat

## ◆ asp_sid

uint8_t ASP::asp_sid

## ◆ [union]

union { ... } ASP::asp_u

## ◆ asp_wss

uint8_t ASP::asp_wss

## ◆ asu_seq

uint16_t ASP::asu_seq

## ◆ [struct]

struct { ... } ASP::asu_status

## ◆ child

char ASP::child

## ◆ cmdbuf

char ASP::cmdbuf[ASP_CMDMAXSIZ]

## ◆ cmdlen

size_t ASP::cmdlen

## ◆ commands

char * ASP::commands

## ◆ data

char ASP::data[ASP_DATAMAXSIZ]

## ◆ datalen

size_t ASP::datalen

## ◆ inited

char ASP::inited

## ◆ read_count

off_t ASP::read_count

## ◆ write_count

off_t ASP::write_count

The documentation for this struct was generated from the following file:

- asp.h